petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoSetMaximumFunctionEvaluations

Sets a maximum number of function evaluations.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetMaximumFunctionEvaluations(Tao tao,PetscInt nfcn)

Logically Collective on Tao

### Input Parameters

| tao | - the Tao solver context
| nfcn | - the maximum number of function evaluations (>=0)

### Options Database Keys

-tao_max_funcs <nfcn> -sets the maximum number of function evaluations

### See Also

TaoSetTolerances(), TaoSetMaximumIterations()

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages